Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### frameRate

Examples

    void setup() {
      frameRate(30);
    }

    void draw() {
      line(0, 0, width, height);
      println(frameRate);
    }

Description | The system variable frameRate contains the approximate frame rate of the software as it executes. The initial value is 10 fps and is updated with each frame. The value is averaged (integrated) over several frames. As such, this value won't be valid until after 5-10 frames.

Syntax

    frameRate

Parameters

Usage | Web & Application
Related | framerate()

Updated on September 25, 2006 01:57:27pm PDT